#!/usr/bin/env python
import cdsapi
import sys
mon=sys.argv[1]
yr=sys.argv[2]
filename=sys.argv[2]+sys.argv[1]+"era5"+".nc"
c = cdsapi.Client()
c.retrieve(
    'reanalysis-era5-pressure-levels',
    {
        'product_type':'reanalysis',
        'format':'netcdf',
        'variable':['specific_humidity','temperature','u_component_of_wind','v_component_of_wind'],
        'pressure_level':['100','125','150','175','200','225','250','300','350','400','450','500','550','600','650','700','750','775','800','825','850','875','900','925','950','975','1000'],
        'year' :yr,
        'month':mon,
        'day'  :['01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31'],
        'time' :['00:00','06:00','12:00','18:00'],
        'area' : [30, 30, -30, 100],
        
    },filename)
